Create a webhook endpoint
curl --request POST \
--url https://developersandbox-api.flutterwave.com/profile/webhook-endpoints \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"url": "<string>",
"secret": "<string>",
"supported_event_types": [
"<string>"
],
"meta": {},
"description": "<string>"
}
'import requests
url = "https://developersandbox-api.flutterwave.com/profile/webhook-endpoints"
payload = {
"url": "<string>",
"secret": "<string>",
"supported_event_types": ["<string>"],
"meta": {},
"description": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
url: '<string>',
secret: '<string>',
supported_event_types: ['<string>'],
meta: {},
description: '<string>'
})
};
fetch('https://developersandbox-api.flutterwave.com/profile/webhook-endpoints', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "<string>",
"data": {
"url": "<string>",
"secret": "<string>",
"id": "<string>",
"supported_event_types": [
"<string>"
],
"meta": {},
"description": "<string>",
"created_datetime": "2023-11-07T05:31:56Z"
}
}{
"status": "failed",
"error": {
"type": "REQUEST_NOT_VALID",
"code": "10400",
"message": "Request is not valid",
"validation_errors": [
{
"field_name": "amount",
"message": "must not be null"
}
]
}
}{
"status": "failed",
"message": "UNAUTHORIZED",
"error": {
"type": "UNAUTHORIZED",
"code": "10401",
"message": "unauthorized"
}
}{
"status": "failed",
"message": "<string>",
"error": {
"type": "FORBIDDEN",
"code": "10403",
"message": "Forbidden"
}
}{
"status": "failed",
"message": "<string>",
"error": {
"type": "RESOURCE_CONFLICT",
"code": "10409",
"message": "Resource conflict"
}
}Webhook Endpoints
Create a webhook endpoint
Create a webhook endpoint
POST
/
profile
/
webhook-endpoints
Create a webhook endpoint
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
A unique identifier to track this operation. It must be between 12 and 255 characters in length.
Required string length:
12 - 255A unique identifier to prevent duplicate requests. It must be between 12 and 255 characters in length.
Required string length:
12 - 255Body
application/json
Endpoint where webhooks would be sent
Secret used in generating verification hash for webhook payloads sent to endpoint
Required string length:
36 - 72Event types accepted by endpoint
Status of webhook endpoint showing if it's allowed to receive webhooks
Available options:
enabled, disabled Show child attributes
Show child attributes
Description of the webhook endpoint
Was this page helpful?
⌘I